This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 490140 - (zsync) Review Request: zsync - Client-side implementation of the rsync algorithm
Review Request: zsync - Client-side implementation of the rsync algorithm
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
: Reopened
: 478617 533778 (view as bug list)
Depends On: 495310
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2009-03-13 10:33 EDT by Simon
Modified: 2015-09-24 11:04 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 10:42:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
zsync-0.6.1-nozlib.patch (2.39 KB, patch)
2009-10-13 21:42 EDT, Jens Petersen
no flags Details | Diff
patch to use zlib from forked from rsync (4.82 KB, patch)
2009-10-20 06:22 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Simon 2009-03-13 10:33:36 EDT
Spec URL:
http://cassmodiah.fedorapeople.org/zsync-0.6/zsync.spec

SRPM URL:
http://cassmodiah.fedorapeople.org/zsync-0.6/zsync-0.6-1.fc10.src.rpm

Description:
Zsync is a file transfer program to download files from
remote web servers. If a previous version of a file is available
locally, zsync will only download changed parts and hereby
minimise the download volume. The algorithm is the same as used
by rsync, but zsync does not require any server software
(apart from a web server), nor does it need shell access.
Instead, it uses a control file (.zsync file) that describes the
file to be downloaded, which it uses to determine the blocks to
fetch. This file is created once on the server (and not for each
request) and sits next to actual file to download

RPMLINT:
silent
Comment 1 Susi Lehtola 2009-03-13 10:42:53 EDT
A review request already exists for this package. Closing as duplicate.

*** This bug has been marked as a duplicate of bug 478617 ***
Comment 2 Robert Scheck 2009-04-10 18:06:31 EDT
https://fedorahosted.org/fesco/ticket/134 has to be solved/approved first.
Comment 3 Simon 2009-09-15 12:57:32 EDT
Update to 0.6.1

SPEC: http://cassmodiah.fedorapeople.org/zsync-0.6/zsync.spec
SRPM: http://cassmodiah.fedorapeople.org/zsync-0.6/zsync-0.6.1-1.fc11.src.rpm

Still the internal zlib problem!
Comment 4 Jens Petersen 2009-10-13 21:42:49 EDT
Created attachment 364673 [details]
zsync-0.6.1-nozlib.patch

Patching out the internal zlib and zsync still worksforme.

This patch could be improved with sufficient autofoo
to just just touch Makefile.am (and maybe also remove
zlib/Makefile.in from configure.ac, but I ran into
so nasty auto nonsense so stopped here.
Comment 5 Jens Petersen 2009-10-14 02:09:11 EDT
Comment on attachment 364673 [details]
zsync-0.6.1-nozlib.patch

Sorry I was not testing properly this doesn't build - got fooled by a hardlink moved by emacs... ;-(
Comment 6 Dan Horák 2009-10-20 06:22:35 EDT
Created attachment 365321 [details]
patch to use zlib from forked from rsync

the patch is not tested, just a proof-of-concept
Comment 7 Robert Scheck 2009-10-20 15:17:28 EDT
According to bug #495310 comment #15, that won't work.
Comment 8 Dan Horák 2009-11-09 03:07:59 EST
*** Bug 533778 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Spura 2010-04-02 13:54:25 EDT
*** Bug 478617 has been marked as a duplicate of this bug. ***
Comment 10 Thom Carlin 2011-02-22 13:09:32 EST
Hey Robert, any updates on this bug?
Comment 11 Robert Scheck 2011-02-23 16:40:07 EST
I'm not aware, that anything changed or improved so far...
Comment 12 Thom Carlin 2011-03-14 15:41:58 EDT
Any updates?
Comment 13 Christoph Wickert 2011-03-14 16:32:26 EDT
There is no use requesting info from Robert. If you read this bug carefully you will see that bug 504493 is blocking this one. If you want to advance there, please bring this up to FESCo or the Fedora packaging committee.
Comment 14 Michal Luscon 2013-02-08 08:37:25 EST
Rsync upstream prepared patch, which allows to build rsync with system provided zlib. Are there any consequences of this patch regarding zsync?

git://git.samba.org/rsync.git
commit 7da17144fd764a2420a8d08897475c0b7fdbf956
Comment 15 Kamil Páral 2013-02-08 08:51:45 EST
I have found this in ./c/zlib/README.zsync in the zsync source code:

> Local changes to zlib used by zsync
> -----------------------------------
> 
> ....
>
> Contrary to some internet discussion, the changes are not related to rsync's
> changes nor to rsync compatibility (zsync isn't compatible with rsync -
> whatever that would mean - nor do these changes relate in any way to the
> rsyncable gzip patch).

Do I understand it correctly that even if we unbudle zlib from rsync, it 1) won't have any impact on zsync 2) zsync will still not be fit to be included in Fedora?
Comment 16 Andre Robatino 2013-08-07 15:27:43 EDT
(In reply to Kamil Páral from comment #15)

> Do I understand it correctly that even if we unbudle zlib from rsync, it 1)
> won't have any impact on zsync 2) zsync will still not be fit to be included
> in Fedora?

I'd like to know too, since bug 495310 (rsync contains forked copy of zlib) was just closed in Rawhide.
Comment 17 Robert Scheck 2013-08-07 21:01:04 EDT
Interesting...I have the same understanding as in comment #15 but also the
same expectation as in comment #16. Might current rsync and zlib maintainers
maybe help us here porting zsync to use a system zlib? However this requires
a nice amount of expertise in that area, if I am not mistaken. Anyone?
Comment 18 Kamil Páral 2013-08-08 04:18:57 EDT
CCing Peter Schiffer, the current zlib maintainer.

Peter, would you be able to advise us here, please?

I have looked at OpenSUSE zsync package and IIUIC they use the upstream version, with bundled zlib. I'm not exactly clear on the rules for granting an exception in Fedora packaging guidelines, but we at least try to ask for it, if we don't find a better way.
Comment 19 Peter Schiffer 2013-08-08 05:31:47 EDT
Kamil,

I can try to look into this issue some time next week or so, but if I'm not mistaken, it was already asked for FESCO exception which was denied, here:
https://fedorahosted.org/fesco/ticket/134

peter
Comment 20 Upstream Release Monitoring 2015-09-24 11:04:27 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Note You need to log in before you can comment on or make changes to this bug.